<?php
/**
 * ------------------------------------------------------------------------
 * JA Filter Plugin - Eshop
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2016 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites: http://www.joomlart.com - http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

// no direct access
defined('_JEXEC') or die ('Restricted access');
if (file_exists(JPATH_ROOT.'/components/com_eshop/helpers/helper.php'))
	require_once(JPATH_ROOT.'/components/com_eshop/helpers/helper.php');
if (file_exists(JPATH_ROOT.'/components/com_eshop/helpers/customer.php'))
	require_once(JPATH_ROOT.'/components/com_eshop/helpers/customer.php');
if (file_exists(JPATH_ROOT.'/components/com_eshop/helpers/image.php'))
	require_once(JPATH_ROOT.'/components/com_eshop/helpers/image.php');
if (file_exists(JPATH_ROOT.'/components/com_eshop/helpers/currency.php'))
	require_once(JPATH_ROOT.'/components/com_eshop/helpers/currency.php');

// Initiate class to hold plugin events
class plgJamegafilterEshop extends JPlugin {

	// Some params
	var $pluginName = 'jamegafiltereshop';
	var $pluginNameHumanReadable = 'JA Megafilter Eshop Plugin';

	function __construct( & $subject, $params) {
		parent::__construct($subject, $params);
	}
	
	function onAfterSaveEshopItems($item) {
		require_once (__DIR__.'/helper.php');
		$helper = new EshopFilterHelper();
		$params = $item->params;
		$objectList = $helper->getFilterItems($params['jaescat']);
		return $objectList;
	}
	
	function onBeforeDisplayEshopItems( $jstemplate, $filter_config )
	{
		$this->jstemplate = $jstemplate;
		$this->config = $filter_config;
		$input = JFactory::getApplication()->input;
		$jalayout = $input->get('jalayout', 'default');
		$path = JPluginHelper::getLayoutPath('jamegafilter', 'eshop', $jalayout);
		
		ob_start();
		include $path;
		$output = ob_get_contents();
		ob_end_clean();
		echo $output;
	}
}