<?php
/**
 * ------------------------------------------------------------------------
 * JA Filter Plugin - Eshop
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2016 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites: http://www.joomlart.com - http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */
 
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');

class JFormFieldJaescat extends JFormField
{
	protected $type = 'Jaescat';

	protected function getInput()
	{
		$value = 0;
		if (!empty($this->value)) {
			$value = $this->value;
		}
		$cats = EshopHelper::getAllChildCategories(0);
		$html = '';
		$html = '<select name="'.$this->name.'">';
		$html .= '<option value="0">'.JText::_('COM_JAMEGAFILTER_ALL_CATEGORY').'</option>';
		foreach ($cats AS $cat) {
			$category = EshopHelper::getCategory($cat);
			$parent = EshopHelper::getParentCategories($cat, 'en-GB');
			$lv = count($parent)-1;
			$html .= '<option '.($value == $category->id ? ' selected="selected" ' : '').' value="'.$category->id.'">'.str_repeat('&nbsp;&nbsp;', ($lv)).'|_.&nbsp;'.$category->category_name.'</option>';
		}
		$html.='</select>';
		return $html;
	}
}