<?php
/**
 * ------------------------------------------------------------------------
 * JA Filter Plugin - Eshop
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2016 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites: http://www.joomlart.com - http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

defined('_JEXEC') or die;
?>
{#data}
<div class="item product product-item col">                
	<div data-container="product-grid" class="product-item-info">

		<div class="product-item-details">
			<a tabindex="-1" class="product-item-photo" href="{url}">
				<span class="product-image-container">
					{?thumbnail}
					<img alt="{name|s}" src="<?php echo JUri::base(true).'/'; ?>{thumbnail}" class="product-image-photo">
					{/thumbnail}
					{labels|s}
				</span>
			</a> 

			<div class="product-reviews-summary short">
				<div class="rating-summary">
					{?rating}
					<div title="{rating} out of 5" class="rating-result">
						<span style="width:{width_rating}%"></span>
					</div>
					{:else}
					<div title="0%" class="rating-result">
						<span style="width:0%"></span>
					</div>
					{/rating}
				</div>
			</div>

			<h4 class="product-item-name">
				<a href="{url}" class="product-item-link">
					{name|s}
				</a>
			</h4>

			<div data-product-id="{id}" data-role="priceBox" class="price-box price-final_price">
				<span class="price-container price-final_price tax weee">
					<span class="price-wrapper " data-price-type="finalPrice" data-price-amount="{price}" id="product-price-{id}">
						<span class="price">{frontend_price|s}</span>    
					</span>
				</span>
			</div>
		</div>

		<div class="product-item-actions">
			{?is_salable}
			<div class="addtocart-area">
					<div class="addtocart-bar">
						<span class="quantity-box">
							<input class="quantity-input js-recalculate" name="quantity" id="quantity_{id}" data-errstr="<?php echo JText::_('COM_JAMEGAFILTER_ERROR_CAN_ONLY_BUY'); ?> %s <?php echo JText::_('COM_JAMEGAFILTER_ERROR_CAN_ONLY_BUY_PIECES'); ?>!" value="1" init="1" step="1" type="text">
						</span>
						<span class="quantity-controls js-recalculate">
							<input class="quantity-controls quantity-plus" type="button">
							<input class="quantity-controls quantity-minus" type="button">
						</span>
						<span class="addtocart-button">
							<input id="add-to-cart-{id}" onclick="addToCart({id}, 1, BaseUrl, '');" name="addtocart" class="btn btn-default" value="<?php echo JText::_('COM_JAMEGAFILTER_ADD_TO_CART'); ?>" title="<?php echo JText::_('COM_JAMEGAFILTER_ADD_TO_CART'); ?>" type="button">             
						</span>
					</div>
			</div>
			{:else}
			<div class="stock unavailable"><span><?php echo JText::_('COM_JAMEGAFILTER_OUT_STOCK'); ?></span></div>
			<a class="btn btn-default" href="{url}"><?php echo JText::_('COM_JAMEGAFILTER_VIEW_DETAIL'); ?></a>
			{/is_salable}
		</div>
	</div>
</div>
{/data}